=== debian/changelog ===
elvish (0.10.1-1) unstable; urgency=medium

  * New upstream version 0.10.1
  * Prefer gccgo-go on ppc64* and golang-any on others (Closes: #873889)
  * Bump golang-github-xiaq-persistent-dev to 0.0~git20170830.75c17f0

 -- Shengjing Zhu <i@zhsj.me>  Wed, 20 Sep 2017 14:34:12 +0800

elvish (0.9+git20170829.a2ab19c-1) unstable; urgency=medium

  * New upstream version 0.9+git20170829.a2ab19c
  * d/control
    + update Build-Depends, remove golang-github-mattn-go-sqlite3-dev
      add golang-github-boltdb-bolt-dev
    + update Standards-Versions to 4.1.0(no changes needed)
  * Remove all patches, not needed with new release

 -- Shengjing Zhu <i@zhsj.me>  Thu, 31 Aug 2017 15:57:19 +0800

elvish (0.9-1) unstable; urgency=medium

  * Initial release (Closes: #867524)

 -- Shengjing Zhu <i@zhsj.me>  Sun, 16 Jul 2017 22:25:36 +0800
