=== debian/control ===
Source: elvish
Section: shells
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Shengjing Zhu <i@zhsj.me>,
Build-Depends: debhelper (>= 10),
               dh-golang,
               gccgo-go [ppc64el ppc64],
               golang-any [!ppc64el !ppc64],
               golang-github-boltdb-bolt-dev,
               golang-github-kr-pty-dev,
               golang-github-mattn-go-isatty-dev,
               golang-github-xiaq-persistent-dev (>=0.0~git20170830.75c17f0),
               golang-golang-x-sys-dev,
Standards-Version: 4.1.0
Homepage: https://github.com/elves/elvish
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/elvish.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/elvish.git
XS-Go-Import-Path: github.com/elves/elvish
Testsuite: autopkgtest-pkg-go

Package: elvish
Architecture: any
Built-Using: ${misc:Built-Using},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Friendly and expressive Unix shell
 Elvish is a cross-platform shell suitable for both interactive
 use and scripting. It features a full-fledged, non-POSIX-shell
 programming language with advanced features like namespacing
 and anonymous functions, and a powerful, fully programmable user
 interface that works well out of the box.
