=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%elvish-$1.tar.gz%" \
  https://github.com/elves/elvish/tags \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
