=== debian/changelog ===
elvish (0.11+ds1-3) unstable; urgency=medium

  * Team upload.
  * Vcs-* urls: pkg-go-team -> go-team.

 -- Alexandre Viau <aviau@debian.org>  Tue, 06 Feb 2018 00:30:12 -0500

elvish (0.11+ds1-2) unstable; urgency=medium

  * Team upload.
  * Point Vcs-* urls to salsa subgroup.

 -- Alexandre Viau <aviau@debian.org>  Thu, 25 Jan 2018 18:48:09 -0500

elvish (0.11+ds1-1) unstable; urgency=medium

  * New upstream version 0.11+ds1
  * d/control: remove golang-github-mattn-go-isatty-dev from Build-Depends
  * d/patches: remove 0001-fix-overflows-on-req-arg-in-ioctl.patch,
    applied in upstream

 -- Shengjing Zhu <i@zhsj.me>  Thu, 18 Jan 2018 10:06:02 +0800

elvish (0.11~rc1+ds1-2) experimental; urgency=medium

  * d/rules: pass build info to ldflags
  * Update man page
  * d/control: update package description
  * d/control: update vcs url to salsa.d.o
  * d/patches: add 0001-fix-overflows-on-req-arg-in-ioctl.patch
    to fix building on mips

 -- Shengjing Zhu <i@zhsj.me>  Tue, 16 Jan 2018 13:08:07 +0800

elvish (0.11~rc1+ds1-1) experimental; urgency=medium

  * New upstream version 0.11~rc1+ds1
  * d/watch: add repacksuffix and uversionmangle for rc version
  * d/rule: remove mips build hack
  * Update compat and debhelper version to 11
  * d/control: update Build-Depends
  * d/control: update Standards-Version to 4.1.3(no changes)
  * d/copyright: update go-termios authors' file list

 -- Shengjing Zhu <i@zhsj.me>  Tue, 16 Jan 2018 01:28:01 +0800

elvish (0.10.1-2) unstable; urgency=medium

  * workaround to build on mips
  * d/control: update Standards-Version to 4.1.1(no changes)

 -- Shengjing Zhu <i@zhsj.me>  Thu, 05 Oct 2017 01:21:59 +0800
