=== debian/control ===
Source: elvish
Section: shells
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Shengjing Zhu <i@zhsj.me>,
Build-Depends: debhelper (>= 11),
               dh-golang,
               gccgo-go [ppc64el ppc64],
               golang-any [!ppc64el !ppc64],
               golang-github-boltdb-bolt-dev,
               golang-github-kr-pty-dev,
               golang-github-xiaq-persistent-dev (>=0.0~git20180105.221501f),
               golang-golang-x-sys-dev,
Standards-Version: 4.1.3
Homepage: https://github.com/elves/elvish
Vcs-Browser: https://salsa.debian.org/go-team/packages/elvish
Vcs-Git: https://salsa.debian.org/go-team/packages/elvish.git
XS-Go-Import-Path: github.com/elves/elvish
Testsuite: autopkgtest-pkg-go

Package: elvish
Architecture: any
Built-Using: ${misc:Built-Using},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Friendly and expressive shell
 Elvish is a cross-platform shell, supporting Linux, BSDs and Windows.
 It features an expressive programming language, with features like namespacing
 and anonymous functions, and a fully programmable user interface with friendly
 defaults. It is suitable for both interactive use and scripting.
