=== debian/changelog ===
elvish (0.12+ds1-2) unstable; urgency=medium

  * Fix uscan version mangle
  * Update pkg-go team and my email address

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 09 Feb 2019 00:53:55 +0800

elvish (0.12+ds1-1) unstable; urgency=medium

  * New upstream version 0.12+ds1
  * d/rules: make DATE reproducible
  * d/rules: s/markdown_github/gfm in pandoc arg

 -- Shengjing Zhu <i@zhsj.me>  Wed, 11 Jul 2018 10:37:51 +0800

elvish (0.12~rc1+ds1-1) experimental; urgency=medium

  * New upstream version 0.12~rc1+ds1
  * d/control: update Standards-Version to 4.1.4 (no changes)
  * d/patches: drop merged patches
  * d/control: bump golang-github-xiaq-persistent-dev to 20180301
  * d/rules: update ldflags for buildinfo
  * d/rules: add website to DH_GOLANG_EXCLUDES
  * d/rules: disable editor e2e test
  * d/elvish.1: update manpage
  * Use pandoc to generate reference manpage.

 -- Shengjing Zhu <i@zhsj.me>  Wed, 27 Jun 2018 17:10:04 +0800

elvish (0.11+ds1-5) unstable; urgency=medium

  * d/control: stop using gccgo-go on ppc64el/ppc64.
    Bug in golang-go is now fixed in 1.10.

 -- Shengjing Zhu <i@zhsj.me>  Fri, 02 Mar 2018 17:29:22 +0800

elvish (0.11+ds1-4) unstable; urgency=medium

  [ Michael Stapelberg ]
  * update debian/gitlab-ci.yml (using salsa.debian.org/go-team/ci/cmd/ci)

  [ Shengjing Zhu ]
  * d/patches:
    + Add 0001-sys-Work-around-nil-references-in-Select.patch (Closes: #891822)

 -- Shengjing Zhu <i@zhsj.me>  Fri, 02 Mar 2018 11:14:48 +0800
