=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: elvish
 Section: shells
 Priority: optional
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Shengjing Zhu <i@zhsj.me>,
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Uploaders: Shengjing Zhu <zhsj@debian.org>,
 Build-Depends: debhelper (>= 11),
                dh-golang,
-               gccgo-go [ppc64el ppc64],
-               golang-any [!ppc64el !ppc64],
+               golang-any,
                golang-github-boltdb-bolt-dev,
                golang-github-kr-pty-dev,
-               golang-github-xiaq-persistent-dev (>=0.0~git20180105.221501f),
+               golang-github-xiaq-persistent-dev (>=0.0~git20180301.cd415c6),
                golang-golang-x-sys-dev,
-Standards-Version: 4.1.3
+               pandoc,
+Standards-Version: 4.1.4
 Homepage: https://github.com/elves/elvish
 Vcs-Browser: https://salsa.debian.org/go-team/packages/elvish
 Vcs-Git: https://salsa.debian.org/go-team/packages/elvish.git
