=== debian/changelog ===
elvish (0.13+ds1-2ubuntu0.1) focal-security; urgency=medium

  * No-change rebuild due to golang-1.13 update

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Tue, 11 Oct 2022 00:58:08 +0200

elvish (0.13+ds1-2) unstable; urgency=medium

  * Increase test timeout to fix random failures on arm64
  * Add patch to fix panic in location and history mode

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 02 Jan 2020 23:16:43 +0800

elvish (0.13+ds1-1) unstable; urgency=medium

  * New upstream version 0.13+ds1
    + Fix crash when pressing Ctrl+n twice (Closes: #905785)
  * Update elvish.1 manpage for 0.13 release

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 02 Jan 2020 14:10:39 +0800

elvish (0.13~rc5+ds1-1) experimental; urgency=medium

  * New upstream version 0.13~rc5+ds1
  * Adapt build rules for 0.13 release
  * Update debhelper-compat to 12 with new syntax
  * Update Standards-Version to 4.4.1 (no changes)
  * Set Rules-Requires-Root to no
  * Update debian/copyright for 0.13 release

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 30 Dec 2019 23:14:48 +0800
