=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: elvish
 Section: shells
 Priority: optional
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Shengjing Zhu <zhsj@debian.org>,
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dh-golang,
                golang-any,
                golang-github-boltdb-bolt-dev,
@@ -11,8 +12,9 @@
                golang-github-xiaq-persistent-dev (>=0.0~git20180301.cd415c6),
                golang-golang-x-sys-dev,
                pandoc,
-Standards-Version: 4.1.4
+Standards-Version: 4.4.1
 Homepage: https://github.com/elves/elvish
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/elvish
 Vcs-Git: https://salsa.debian.org/go-team/packages/elvish.git
 XS-Go-Import-Path: github.com/elves/elvish
