=== debian/watch ===
version=4
opts="uversionmangle=s/(\d[\d.]*)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/, \
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/elves/elvish/tags \
  .*/v?(.*)\.tar\.gz
