=== debian/changelog ===
elvish (0.14.0-2) unstable; urgency=medium

  * Fix test on slow machines
  * Update Homepage
  * Add patch to fix FTBFS with gccgo

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 11 Jul 2020 02:18:48 +0800

elvish (0.14.0-1) unstable; urgency=medium

  * New upstream version 0.14.0
  * Update Build-Depends for new version
    + Replace golang-github-boltdb-bolt-dev to
      golang-github-coreos-bbolt-dev
    + Bump golang-github-xiaq-persistent-dev to 0.0~git20190312
  * Bump debhelper-compat to 13
  * Set Reproducible to true
  * Use elvdoc to process markdown before generate manpage
  * No longer need Files-Excluded in d/copyright

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 06 Jul 2020 02:49:47 +0800

elvish (0.13.1+ds1-1) unstable; urgency=medium

  * New upstream version 0.13.1+ds1
  * Remove patch which is applied in new version
  * Update Standards-Version to 4.5.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 31 Mar 2020 00:03:52 +0800
