=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: elvish
 Section: shells
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Shengjing Zhu <zhsj@debian.org>,
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
-               golang-github-boltdb-bolt-dev,
+               golang-github-coreos-bbolt-dev,
                golang-github-kr-pty-dev,
-               golang-github-xiaq-persistent-dev (>=0.0~git20180301.cd415c6),
+               golang-github-xiaq-persistent-dev (>=0.0~git20190312),
                golang-golang-x-sys-dev,
                pandoc,
-Standards-Version: 4.4.1
-Homepage: https://github.com/elves/elvish
+Standards-Version: 4.5.0
+Homepage: https://elv.sh
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/elvish
 Vcs-Git: https://salsa.debian.org/go-team/packages/elvish.git
