=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

GOPKG := github.com/elves/elvish
GOLDFLAGS := \
	-X $(GOPKG)/pkg/buildinfo.Version=$(DEB_VERSION) \
	-X $(GOPKG)/pkg/buildinfo.Reproducible=true

export PATH := $(CURDIR)/_build/bin:$(PATH)
export ELVISH_TEST_TIME_SCALE := 20
export DH_GOLANG_EXCLUDES := website
export DEB_VERSION_UPSTREAM

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=_build

override_dh_auto_build:
	DH_GOLANG_BUILDPKG="$(GOPKG)/website/cmd/elvdoc $(GOPKG)/cmd/withweb/elvish" \
	  DH_GOLANG_EXCLUDES="" dh_auto_build -- -ldflags "$(GOLDFLAGS)"
	./debian/genman.sh

override_dh_auto_install:
	rm -vf _build/bin/elvdoc
	dh_auto_install -- --no-source
