=== debian/changelog ===
elvish (0.15.0-1) unstable; urgency=medium

  * New upstream version 0.15.0
  * Not set reproducible in buildinfo.
    Debian has different reproducible definition to upstream.

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 30 Jan 2021 20:56:37 +0800

elvish (0.15.0~rc3-1) unstable; urgency=medium

  * New upstream version 0.15.0~rc3

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 26 Jan 2021 01:48:50 +0800

elvish (0.15.0~rc2-1) unstable; urgency=medium

  * New upstream version 0.15.0~rc2
  * Update Standards-Version to 4.5.1 (no changes)
  * Drop gccgo patch, applied in upstream

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 21 Jan 2021 13:33:23 +0800

elvish (0.14.1-1) unstable; urgency=medium

  * New upstream version 0.14.1

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 06 Oct 2020 02:05:22 +0800
