=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
                dh-golang,
                golang-any,
                golang-github-coreos-bbolt-dev,
-               golang-github-kr-pty-dev,
-               golang-github-xiaq-persistent-dev (>=0.0~git20190312),
+               golang-github-creack-pty-dev,
+               golang-github-xiaq-persistent-dev (>= 0.0~git20200820),
                golang-golang-x-sys-dev,
                pandoc,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://elv.sh
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/elvish
