=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,7 @@
 
 GOPKG := github.com/elves/elvish
 GOLDFLAGS := \
-	-X $(GOPKG)/pkg/buildinfo.Version=$(DEB_VERSION) \
-	-X $(GOPKG)/pkg/buildinfo.Reproducible=true
+	-X $(GOPKG)/pkg/buildinfo.Version=$(DEB_VERSION)
 
 export PATH := $(CURDIR)/_build/bin:$(PATH)
 export ELVISH_TEST_TIME_SCALE := 20
