=== debian/changelog ===
elvish (0.17.0-1ubuntu0.1) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update. Note that this package
    was built with golang-1.17.

 -- Allen Huang <allen.huang@canonical.com>  Mon, 18 Nov 2024 18:23:47 +0000

elvish (0.17.0-1) unstable; urgency=medium

  * Upload to unstable
  * New upstream version 0.17.0

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 11 Dec 2021 01:55:38 +0800

elvish (0.17.0~rc4-1) experimental; urgency=medium

  * New upstream version 0.17.0~rc4
  * Add golang-github-mattn-go-isatty-dev to Build-Depends

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 08 Dec 2021 03:19:09 +0800

elvish (0.16.3-1) unstable; urgency=medium

  * New upstream version 0.16.3

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 30 Aug 2021 01:04:59 +0800

elvish (0.16.1-2) unstable; urgency=medium

  * Update Copyright
  * Update description
  * Don't add-shell on upgrade
  * Fix typos

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 24 Aug 2021 12:20:03 +0800

elvish (0.16.1-1) unstable; urgency=medium

  * New upstream version 0.16.1

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 22 Aug 2021 00:04:08 +0800
