=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

GOPKG := src.elv.sh
VESRION_SUFFIX := +$(DEB_VENDOR)$(subst $(DEB_VERSION_EPOCH_UPSTREAM),,$(DEB_VERSION))
GOLDFLAGS := \
	-X $(GOPKG)/pkg/buildinfo.VersionSuffix=$(VESRION_SUFFIX)

export BIN_PATH := $(CURDIR)/_build/bin
export ELVISH_TEST_TIME_SCALE := 20
export DH_GOLANG_EXCLUDES := \
	cmd/examples cmd/nodaemon \
	website/cmd/genblog website/cmd/highlight website/cmd/runefreq
export DH_GOLANG_INSTALL_EXTRA := \
	pkg/mods/epm/epm.elv \
	pkg/mods/readlinebinding/readline-binding.elv \
	pkg/edit/init.elv
# DEB_VERSION_UPSTREAM is used in ./debian/genman.sh
export DEB_VERSION_UPSTREAM

%:
	dh $@ --buildsystem=golang --with=golang --builddirectory=_build

override_dh_auto_build:
	 dh_auto_build -- -ldflags "$(GOLDFLAGS)"
	./debian/genman.sh

override_dh_auto_install:
	rm -vf _build/bin/elvdoc _build/bin/macros
	dh_auto_install -- --no-source
