## elvish 0.18.0

=== debian/changelog ===
elvish (0.18.0-1ubuntu0.22.10.1) kinetic-security; urgency=medium

  * No change build due to golang-1.18 update

 -- Nishit Majithia <nishit.majithia@canonical.com>  Wed, 03 May 2023 17:24:23 +0530

elvish (0.18.0-1) unstable; urgency=medium

  * New upstream version 0.18.0
  * Add missing Build-Depends for new version
    + golang-github-google-go-cmp-dev
    + golang-github-sourcegraph-go-lsp-dev
    + golang-github-sourcegraph-jsonrpc2-dev

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 13 Apr 2022 03:13:31 +0800
