=== debian/control ===
--- 
+++ 
@@ -9,7 +9,10 @@
                golang-any,
                golang-github-coreos-bbolt-dev,
                golang-github-creack-pty-dev,
+               golang-github-google-go-cmp-dev,
                golang-github-mattn-go-isatty-dev,
+               golang-github-sourcegraph-go-lsp-dev,
+               golang-github-sourcegraph-jsonrpc2-dev,
                golang-golang-x-sys-dev,
                pandoc,
 Standards-Version: 4.6.0
