=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,8 @@
 export BIN_PATH := $(CURDIR)/_build/bin
 export ELVISH_TEST_TIME_SCALE := 20
 export DH_GOLANG_EXCLUDES := \
-	cmd/examples cmd/nodaemon \
-	website/cmd/genblog website/cmd/highlight website/cmd/runefreq
+	cmd/examples cmd/nodaemon cmd/withpprof \
+	website/cmd/gensite website/cmd/highlight website/cmd/runefreq
 export DH_GOLANG_INSTALL_EXTRA := \
 	pkg/mods/epm/epm.elv \
 	pkg/mods/readlinebinding/readline-binding.elv \
