=== debian/changelog ===
elvish (0.19.2-1) unstable; urgency=medium

  * New upstream version 0.19.2

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 18 Mar 2023 22:25:19 +0800

elvish (0.18.0-4) unstable; urgency=medium

  * Replace add-shell/remove-shell with declarative shells.d trigger
  * Update Standards-Version to 4.6.2 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 01 Jan 2023 01:09:08 +0800

elvish (0.18.0-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Security-Contact.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 24 Nov 2022 17:54:24 +0000

elvish (0.18.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 21 Nov 2022 00:21:30 +0000
