=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: elvish
 Section: shells
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Shengjing Zhu <zhsj@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
@@ -14,8 +13,8 @@
                golang-github-sourcegraph-go-lsp-dev,
                golang-github-sourcegraph-jsonrpc2-dev,
                golang-golang-x-sys-dev,
-               pandoc,
-Standards-Version: 4.6.0
+               procps <!nocheck>,
+Standards-Version: 4.6.2
 Homepage: https://elv.sh
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/go-team/packages/elvish
@@ -26,7 +25,8 @@
 Package: elvish
 Architecture: any
 Built-Using: ${misc:Built-Using},
-Depends: ${misc:Depends},
+Depends: debianutils (>= 5.6-0.1),
+         ${misc:Depends},
          ${shlibs:Depends},
 Description: Expressive programming language and versatile interactive shell
  Elvish is a cross-platform shell, supporting Linux, BSDs and Windows.
