=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(@ANY_VERSION@@ARCHIVE_EXT@)%@PACKAGE@-$1%, \
      uversionmangle=s/-rc/~rc/" \
  https://github.com/elves/elvish/tags \
  .*/v?(\d+(?:\.\d+)+(?:-rc\d+)?)\.tar\.gz debian
